Skip to main content
GET /v1/bluejay-as-code/{root_type}/{root_id}
JSON will be deprecated on November 20th, 2026.
Exports a bundle with these lists:
  • agents
  • simulations
  • digital_humans
  • custom_metrics
Each item has a bluejay_as_code_id. Supported values for root_type include:
  • simulation
  • agent
  • digital-human
  • custom-metric
root_id is the Bluejay ID or the bluejay_as_code_id of the root. Commit the bluejay_as_code_id values to your config. Do not create new values for each push. The response is YAML. To get JSON until it is deprecated, add the query parameter format=json or send the header Accept: application/json.

Path parameters

Query parameters

Headers

Response

Status codes

Example request

Example response

200
Last modified on October 29, 2026